#include <fstream>	
using namespace std;
	
ifstream fin("ciur.in");
ofstream fout("ciur.out");
	
const int LMAX = 2000005;
bool c[LMAX];
		
int ciur(int n)
{
	int cnt = 0;
	
	c[0] = c[1] = 1;	
	for (int i = 2; i * i <= n; ++i)
		if (c[i] == 0)
			for (int j = i * i; j <= n; j += i)
				c[j] = 1;
	
	for (int i = 0; i <= n; ++i)
		if (!c[i])
			cnt++;
			
	return cnt;
}
	
int main()	
{
	int n;	
	fin >> n;
	
	fout << ciur(n);
	
	return 0;
}
